Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.datadefinition.makumba.validation
Class RangeValidationRule

    java.lang.Object
      org.makumba.providers.datadefinition.makumba.validation.BasicValidationRule
          org.makumba.providers.datadefinition.makumba.validation.SingleFieldValidationRule
              org.makumba.providers.datadefinition.makumba.validation.RangeValidationRule

All Implemented Interfaces:
  Serializable, Comparable<ValidationRule>, ValidationRule

Direct Known Subclasses:
  NumberRangeValidationRule, StringLengthValidationRule

    public abstract class RangeValidationRule

extends SingleFieldValidationRule

See Also:
  Serialized Form

Field Summary
`protected Number` | `lowerLimit`
`protected String` | `lowerLimitString`
`protected static Pattern` | `pattern`
`protected static String` | `rule`
`protected Number` | `upperLimit`
`protected String` | `upperLimitString`

Fields inherited from class org.makumba.providers.datadefinition.makumba.validation.BasicValidationRule
`allowedTypes, errorMessage, fd, fieldDef, fieldFunction, fieldName, lowerFunction, NUMBER_TYPES, operators, rangeDef, rangeValue, ruleName, ruleSyntax, STRING_TYPES, upperFunction`

Constructor Summary
`protected` | `RangeValidationRule()`
`` | `RangeValidationRule(FieldDefinition fd, String fieldName, String errorMessage, String ruleName, int[] allowedTypes, String lowerLimitString, String upperLimitString)`

Method Summary
`static String` | `getAcceptedRules()`
`Number` | `getLowerLimit()`
`String` | `getLowerLimitString()`
`static Matcher` | `getMatcher(String rule)`
`Number` | `getUpperLimit()`
`String` | `getUpperLimitString()`
`static boolean` | `matches(String rule)`

Methods inherited from class org.makumba.providers.datadefinition.makumba.validation.SingleFieldValidationRule
`checkApplicability, compileRule, throwException`

Methods inherited from class org.makumba.providers.datadefinition.makumba.validation.BasicValidationRule
`applyFunction, compareTo, extractFunctionArgument, extractFunctionNameFromStatement, getAllowedTypes, getErrorMessage, getFieldDefinition, getFieldName, getRuleName, getValidationRuleOperators, isFunctionCall, isValidFunctionCall, main`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.makumba.ValidationRule
`validate`

Field Detail

### rule

    protected static final String rule

See Also:
  Constant Field Values

### pattern

    protected static final Pattern pattern

### lowerLimitString

    protected String lowerLimitString

### upperLimitString

    protected String upperLimitString

### lowerLimit

    protected Number lowerLimit

### upperLimit

    protected Number upperLimit

Constructor Detail

### RangeValidationRule

    protected RangeValidationRule()

### RangeValidationRule

    public RangeValidationRule(FieldDefinition fd,
                               String fieldName,
                               String errorMessage,
                               String ruleName,
                               int[] allowedTypes,
                               String lowerLimitString,
                               String upperLimitString)

Method Detail

### getAcceptedRules

    public static String getAcceptedRules()

### getMatcher

    public static Matcher getMatcher(String rule)

### matches

    public static boolean matches(String rule)

### getLowerLimitString

    public String getLowerLimitString()

### getUpperLimitString

    public String getUpperLimitString()

### getLowerLimit

    public Number getLowerLimit()

### getUpperLimit

    public Number getUpperLimit()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20